InfoGrab DocsInfoGrab Docs

그룹 애플리케이션 API

요약

이 API를 사용하여 다음에 해당하는 그룹이 소유한 OAuth 애플리케이션을 관리합니다. 인스턴스 전체 애플리케이션을 관리하려면 애플리케이션 API를 사용합니다. 지정한 그룹이 소유하는 OAuth 애플리케이션을 생성합니다.

히스토리
  • GitLab 19.6에서 도입되었습니다.

이 API를 사용하여 다음에 해당하는 그룹이 소유한 OAuth 애플리케이션을 관리합니다.

Note

인스턴스 전체 애플리케이션을 관리하려면 애플리케이션 API를 사용합니다. 사용자가 소유한 애플리케이션을 관리하려면 사용자 애플리케이션 API를 사용합니다.

사전 요구 사항:

  • 그룹에 대한 Owner 권한이 있어야 합니다.

그룹 애플리케이션 생성#

지정한 그룹이 소유하는 OAuth 애플리케이션을 생성합니다.

POST /groups/:id/applications

지원되는 속성:

속성 유형 필수 여부 설명
id integer or string 예 그룹의 ID 또는 URL 인코딩된 경로.
name string 예 애플리케이션 이름.
redirect_uri string 예 애플리케이션의 리디렉션 URI.
scopes string 예 애플리케이션에서 사용할 수 있는 스코프. 여러 스코프는 공백으로 구분합니다.
confidential boolean 아니요 true이면 애플리케이션이 클라이언트 시크릿과 같은 클라이언트 자격 증명을 안전하게 저장할 수 있습니다. 비기밀 애플리케이션(네이티브 모바일 앱, 단일 페이지 앱 등)은 클라이언트 자격 증명을 노출할 수 있습니다. 지정하지 않으면 기본값은 true입니다.

요청이 성공하면 201 Created와 다음 응답 속성을 반환합니다.

속성 유형 설명
application_id string 애플리케이션의 OAuth 클라이언트 ID. id와 다릅니다.
application_name string 애플리케이션 이름.
callback_url string 애플리케이션의 리디렉션 URI.
confidential boolean true이면 애플리케이션이 클라이언트 자격 증명을 안전하게 저장할 수 있습니다.
id integer 애플리케이션 ID.
scopes array of strings 애플리케이션에서 사용할 수 있는 스코프.
secret string 애플리케이션의 클라이언트 시크릿. 애플리케이션을 생성할 때만 반환됩니다.

요청 예시:

curl --request POST \
    --header "PRIVATE-TOKEN: <your_access_token>" \
    --data "name=MyApplication&redirect_uri=http://redirect.uri&scopes=api read_user email" \
    --url "https://gitlab.example.com/api/v4/groups/1/applications"

응답 예시:

{
    "id": 1,
    "application_id": "5832fc6e14300a0d962240a8144466eef4ee93ef0d218477e55f11cf12fc3737",
    "application_name": "MyApplication",
    "secret": "ee1dd64b6adc89cf7e2c23099301ccc2c61b441064e9324d963c46902a85ec34",
    "callback_url": "http://redirect.uri",
    "confidential": true,
    "scopes": ["api", "read_user", "email"]
}
Note

secret 값은 애플리케이션을 생성할 때만 반환됩니다.

모든 그룹 애플리케이션 목록 조회#

지정한 그룹이 소유한 모든 OAuth 애플리케이션을 나열합니다.

GET /groups/:id/applications

지원되는 속성:

속성 유형 필수 여부 설명
id integer or string 예 그룹의 ID 또는 URL 인코딩된 경로.

요청이 성공하면 200 OK와 애플리케이션 목록을 반환하며, 각 애플리케이션에는 다음 응답 속성이 포함됩니다.

속성 유형 설명
application_id string 애플리케이션의 OAuth 클라이언트 ID. id와 다릅니다.
application_name string 애플리케이션 이름.
callback_url string 애플리케이션의 리디렉션 URI.
confidential boolean true이면 애플리케이션이 클라이언트 자격 증명을 안전하게 저장할 수 있습니다.
id integer 애플리케이션 ID.
scopes array of strings 애플리케이션에서 사용할 수 있는 스코프.

요청 예시:

curl --request GET \
    --header "PRIVATE-TOKEN: <your_access_token>" \
    --url "https://gitlab.example.com/api/v4/groups/1/applications"

응답 예시:

[
    {
        "id": 1,
        "application_id": "5832fc6e14300a0d962240a8144466eef4ee93ef0d218477e55f11cf12fc3737",
        "application_name": "MyApplication",
        "callback_url": "http://redirect.uri",
        "confidential": true,
        "scopes": ["api", "read_user"]
    }
]

특정 그룹 애플리케이션 조회#

그룹이 소유한 지정 OAuth 애플리케이션의 세부 정보를 조회합니다.

GET /groups/:id/applications/:application_id

지원되는 속성:

속성 유형 필수 여부 설명
id integer or string 예 그룹의 ID 또는 URL 인코딩된 경로.
application_id integer 예 애플리케이션 ID. 응답의 application_id 필드(OAuth 클라이언트 ID)와 다릅니다.

요청이 성공하면 200 OK와 다음 응답 속성을 반환합니다.

속성 유형 설명
application_id string 애플리케이션의 OAuth 클라이언트 ID. id와 다릅니다.
application_name string 애플리케이션 이름.
callback_url string 애플리케이션의 리디렉션 URI.
confidential boolean true이면 애플리케이션이 클라이언트 자격 증명을 안전하게 저장할 수 있습니다.
id integer 애플리케이션 ID.
scopes array of strings 애플리케이션에서 사용할 수 있는 스코프.

요청 예시:

curl --request GET \
    --header "PRIVATE-TOKEN: <your_access_token>" \
    --url "https://gitlab.example.com/api/v4/groups/1/applications/1"

응답 예시:

{
    "id": 1,
    "application_id": "5832fc6e14300a0d962240a8144466eef4ee93ef0d218477e55f11cf12fc3737",
    "application_name": "MyApplication",
    "callback_url": "http://redirect.uri",
    "confidential": true,
    "scopes": ["api", "read_user"]
}

그룹 애플리케이션 업데이트#

그룹이 소유한 지정 OAuth 애플리케이션을 업데이트합니다.

기존 애플리케이션의 redirect_uri와 confidential 속성은 업데이트할 수 없습니다. 이 속성을 변경하려면 애플리케이션을 삭제한 후 다시 생성합니다.

PUT /groups/:id/applications/:application_id

지원되는 속성:

속성 유형 필수 여부 설명
id integer or string 예 그룹의 ID 또는 URL 인코딩된 경로.
application_id integer 예 애플리케이션 ID. 응답의 application_id 필드(OAuth 클라이언트 ID)와 다릅니다.
name string 아니요 애플리케이션 이름.
scopes string 아니요 애플리케이션에서 사용할 수 있는 스코프. 여러 스코프는 공백으로 구분합니다.

요청이 성공하면 200 OK와 다음 응답 속성을 반환합니다.

속성 유형 설명
application_id string 애플리케이션의 OAuth 클라이언트 ID. id와 다릅니다.
application_name string 애플리케이션 이름.
callback_url string 애플리케이션의 리디렉션 URI.
confidential boolean true이면 애플리케이션이 클라이언트 자격 증명을 안전하게 저장할 수 있습니다.
id integer 애플리케이션 ID.
scopes array of strings 애플리케이션에서 사용할 수 있는 스코프.

요청 예시:

curl --request PUT \
    --header "PRIVATE-TOKEN: <your_access_token>" \
    --data "name=UpdatedApplication" \
    --url "https://gitlab.example.com/api/v4/groups/1/applications/1"

응답 예시:

{
    "id": 1,
    "application_id": "5832fc6e14300a0d962240a8144466eef4ee93ef0d218477e55f11cf12fc3737",
    "application_name": "UpdatedApplication",
    "callback_url": "http://redirect.uri",
    "confidential": true,
    "scopes": ["api", "read_user"]
}

그룹 애플리케이션 삭제#

그룹이 소유한 지정 OAuth 애플리케이션을 삭제합니다.

DELETE /groups/:id/applications/:application_id

지원되는 속성:

속성 유형 필수 여부 설명
id integer or string 예 그룹의 ID 또는 URL 인코딩된 경로.
application_id integer 예 애플리케이션 ID. 응답의 application_id 필드(OAuth 클라이언트 ID)와 다릅니다.

요청이 성공하면 204 No Content를 반환합니다.

요청 예시:

curl --request DELETE \
    --header "PRIVATE-TOKEN: <your_access_token>" \
    --url "https://gitlab.example.com/api/v4/groups/1/applications/1"

그룹 애플리케이션 API

GitLab v19.6
Tier: Free, Premium, Ultimate
Offering: GitLab.com, GitLab Self-Managed, GitLab Dedicated
원문 보기

요약

이 API를 사용하여 다음에 해당하는 그룹이 소유한 OAuth 애플리케이션을 관리합니다. 인스턴스 전체 애플리케이션을 관리하려면 애플리케이션 API를 사용합니다. 지정한 그룹이 소유하는 OAuth 애플리케이션을 생성합니다.

히스토리
  • GitLab 19.6에서 도입되었습니다.

이 API를 사용하여 다음에 해당하는 그룹이 소유한 OAuth 애플리케이션을 관리합니다.

Note

인스턴스 전체 애플리케이션을 관리하려면 애플리케이션 API를 사용합니다. 사용자가 소유한 애플리케이션을 관리하려면 사용자 애플리케이션 API를 사용합니다.

사전 요구 사항:

  • 그룹에 대한 Owner 권한이 있어야 합니다.

그룹 애플리케이션 생성#

지정한 그룹이 소유하는 OAuth 애플리케이션을 생성합니다.

POST /groups/:id/applications

지원되는 속성:

속성 유형 필수 여부 설명
id integer or string 예 그룹의 ID 또는 URL 인코딩된 경로.
name string 예 애플리케이션 이름.
redirect_uri string 예 애플리케이션의 리디렉션 URI.
scopes string 예 애플리케이션에서 사용할 수 있는 스코프. 여러 스코프는 공백으로 구분합니다.
confidential boolean 아니요 true이면 애플리케이션이 클라이언트 시크릿과 같은 클라이언트 자격 증명을 안전하게 저장할 수 있습니다. 비기밀 애플리케이션(네이티브 모바일 앱, 단일 페이지 앱 등)은 클라이언트 자격 증명을 노출할 수 있습니다. 지정하지 않으면 기본값은 true입니다.

요청이 성공하면 201 Created와 다음 응답 속성을 반환합니다.

속성 유형 설명
application_id string 애플리케이션의 OAuth 클라이언트 ID. id와 다릅니다.
application_name string 애플리케이션 이름.
callback_url string 애플리케이션의 리디렉션 URI.
confidential boolean true이면 애플리케이션이 클라이언트 자격 증명을 안전하게 저장할 수 있습니다.
id integer 애플리케이션 ID.
scopes array of strings 애플리케이션에서 사용할 수 있는 스코프.
secret string 애플리케이션의 클라이언트 시크릿. 애플리케이션을 생성할 때만 반환됩니다.

요청 예시:

curl --request POST \
    --header "PRIVATE-TOKEN: <your_access_token>" \
    --data "name=MyApplication&redirect_uri=http://redirect.uri&scopes=api read_user email" \
    --url "https://gitlab.example.com/api/v4/groups/1/applications"

응답 예시:

{
    "id": 1,
    "application_id": "5832fc6e14300a0d962240a8144466eef4ee93ef0d218477e55f11cf12fc3737",
    "application_name": "MyApplication",
    "secret": "ee1dd64b6adc89cf7e2c23099301ccc2c61b441064e9324d963c46902a85ec34",
    "callback_url": "http://redirect.uri",
    "confidential": true,
    "scopes": ["api", "read_user", "email"]
}
Note

secret 값은 애플리케이션을 생성할 때만 반환됩니다.

모든 그룹 애플리케이션 목록 조회#

지정한 그룹이 소유한 모든 OAuth 애플리케이션을 나열합니다.

GET /groups/:id/applications

지원되는 속성:

속성 유형 필수 여부 설명
id integer or string 예 그룹의 ID 또는 URL 인코딩된 경로.

요청이 성공하면 200 OK와 애플리케이션 목록을 반환하며, 각 애플리케이션에는 다음 응답 속성이 포함됩니다.

속성 유형 설명
application_id string 애플리케이션의 OAuth 클라이언트 ID. id와 다릅니다.
application_name string 애플리케이션 이름.
callback_url string 애플리케이션의 리디렉션 URI.
confidential boolean true이면 애플리케이션이 클라이언트 자격 증명을 안전하게 저장할 수 있습니다.
id integer 애플리케이션 ID.
scopes array of strings 애플리케이션에서 사용할 수 있는 스코프.

요청 예시:

curl --request GET \
    --header "PRIVATE-TOKEN: <your_access_token>" \
    --url "https://gitlab.example.com/api/v4/groups/1/applications"

응답 예시:

[
    {
        "id": 1,
        "application_id": "5832fc6e14300a0d962240a8144466eef4ee93ef0d218477e55f11cf12fc3737",
        "application_name": "MyApplication",
        "callback_url": "http://redirect.uri",
        "confidential": true,
        "scopes": ["api", "read_user"]
    }
]

특정 그룹 애플리케이션 조회#

그룹이 소유한 지정 OAuth 애플리케이션의 세부 정보를 조회합니다.

GET /groups/:id/applications/:application_id

지원되는 속성:

속성 유형 필수 여부 설명
id integer or string 예 그룹의 ID 또는 URL 인코딩된 경로.
application_id integer 예 애플리케이션 ID. 응답의 application_id 필드(OAuth 클라이언트 ID)와 다릅니다.

요청이 성공하면 200 OK와 다음 응답 속성을 반환합니다.

속성 유형 설명
application_id string 애플리케이션의 OAuth 클라이언트 ID. id와 다릅니다.
application_name string 애플리케이션 이름.
callback_url string 애플리케이션의 리디렉션 URI.
confidential boolean true이면 애플리케이션이 클라이언트 자격 증명을 안전하게 저장할 수 있습니다.
id integer 애플리케이션 ID.
scopes array of strings 애플리케이션에서 사용할 수 있는 스코프.

요청 예시:

curl --request GET \
    --header "PRIVATE-TOKEN: <your_access_token>" \
    --url "https://gitlab.example.com/api/v4/groups/1/applications/1"

응답 예시:

{
    "id": 1,
    "application_id": "5832fc6e14300a0d962240a8144466eef4ee93ef0d218477e55f11cf12fc3737",
    "application_name": "MyApplication",
    "callback_url": "http://redirect.uri",
    "confidential": true,
    "scopes": ["api", "read_user"]
}

그룹 애플리케이션 업데이트#

그룹이 소유한 지정 OAuth 애플리케이션을 업데이트합니다.

기존 애플리케이션의 redirect_uri와 confidential 속성은 업데이트할 수 없습니다. 이 속성을 변경하려면 애플리케이션을 삭제한 후 다시 생성합니다.

PUT /groups/:id/applications/:application_id

지원되는 속성:

속성 유형 필수 여부 설명
id integer or string 예 그룹의 ID 또는 URL 인코딩된 경로.
application_id integer 예 애플리케이션 ID. 응답의 application_id 필드(OAuth 클라이언트 ID)와 다릅니다.
name string 아니요 애플리케이션 이름.
scopes string 아니요 애플리케이션에서 사용할 수 있는 스코프. 여러 스코프는 공백으로 구분합니다.

요청이 성공하면 200 OK와 다음 응답 속성을 반환합니다.

속성 유형 설명
application_id string 애플리케이션의 OAuth 클라이언트 ID. id와 다릅니다.
application_name string 애플리케이션 이름.
callback_url string 애플리케이션의 리디렉션 URI.
confidential boolean true이면 애플리케이션이 클라이언트 자격 증명을 안전하게 저장할 수 있습니다.
id integer 애플리케이션 ID.
scopes array of strings 애플리케이션에서 사용할 수 있는 스코프.

요청 예시:

curl --request PUT \
    --header "PRIVATE-TOKEN: <your_access_token>" \
    --data "name=UpdatedApplication" \
    --url "https://gitlab.example.com/api/v4/groups/1/applications/1"

응답 예시:

{
    "id": 1,
    "application_id": "5832fc6e14300a0d962240a8144466eef4ee93ef0d218477e55f11cf12fc3737",
    "application_name": "UpdatedApplication",
    "callback_url": "http://redirect.uri",
    "confidential": true,
    "scopes": ["api", "read_user"]
}

그룹 애플리케이션 삭제#

그룹이 소유한 지정 OAuth 애플리케이션을 삭제합니다.

DELETE /groups/:id/applications/:application_id

지원되는 속성:

속성 유형 필수 여부 설명
id integer or string 예 그룹의 ID 또는 URL 인코딩된 경로.
application_id integer 예 애플리케이션 ID. 응답의 application_id 필드(OAuth 클라이언트 ID)와 다릅니다.

요청이 성공하면 204 No Content를 반환합니다.

요청 예시:

curl --request DELETE \
    --header "PRIVATE-TOKEN: <your_access_token>" \
    --url "https://gitlab.example.com/api/v4/groups/1/applications/1"